#ifndef CPTSVG_H
#define CPTSVG_H

#include <cptutils/svg-preview.h>
#include <cptutils/comments.h>
#include <stdbool.h>

typedef struct
{
  bool verbose;
  svg_preview_t preview;
  comments_opt_t comments;
  struct
  {
    bool active;
  } hinge;
  struct
  {
    const char *path;
  } input, output;
} cptsvg_opt_t;

int cptsvg(const cptsvg_opt_t*);

#endif
