#ifndef GPLCPT_H
#define GPLCPT_H

#include <cptutils/colour.h>
#include <cptutils/comments.h>
#include <stdbool.h>

typedef struct
{
  bool verbose, normalise;
  int gmt_version;
  comments_opt_t comments;
  rgb_t fg, bg, nan;
  struct
  {
    const char *path;
  } input, output;
} gplcpt_opt_t;

int gplcpt(const gplcpt_opt_t*);

#endif
