#ifndef PSPSVG_H
#define PSPSVG_H

#include <cptutils/svg-preview.h>
#include <cptutils/comments.h>

#include <stdbool.h>

typedef struct
{
  bool verbose, debug;
  comments_opt_t comments;
  struct
  {
    const char *path;
  } input, output;
  svg_preview_t preview;
} pspsvg_opt_t;

int pspsvg(const pspsvg_opt_t*);

#endif
