#ifndef GIMPSVG_H
#define GIMPSVG_H

#include <cptutils/colour.h>
#include <cptutils/comments.h>
#include <cptutils/svg-preview.h>

#include <stdbool.h>
#include <stdlib.h>

typedef struct
{
  bool verbose, reverse;
  comments_opt_t comments;
  size_t samples;
  double tol;
  svg_preview_t preview;
  struct
  {
    const char *path;
  } input, output;
} gimpsvg_opt_t;

int gimpsvg(const gimpsvg_opt_t*);

#endif
