#ifndef PSSVG_H
#define PSSVG_H

#include <cptutils/colour.h>
#include <cptutils/comments.h>

#include <stdbool.h>
#include <stdio.h>

typedef struct
{
  bool verbose, debug;
  comments_opt_t comments;
  char *title;
  rgb_t fg, bg;
  struct
  {
    const char *path;
  } input, output;
} pssvg_opt_t;

int pssvg(const pssvg_opt_t*);

#endif
